> ## Documentation Index
> Fetch the complete documentation index at: https://docs.originsai.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List Stt Languages

> Get languages supported by a specific STT provider and model.



## OpenAPI

````yaml https://originshq.b-cdn.net/openapi_sayna.json get /api/audio/stt/languages
openapi: 3.1.0
info:
  title: core
  version: 0.1.0
servers: []
security: []
paths:
  /api/audio/stt/languages:
    get:
      tags:
        - audio
      summary: List Stt Languages
      description: Get languages supported by a specific STT provider and model.
      operationId: list_stt_languages_api_audio_stt_languages_get
      parameters:
        - name: provider
          in: query
          required: true
          schema:
            type: string
            description: STT provider (e.g., 'deepgram', 'sarvam')
            title: Provider
          description: STT provider (e.g., 'deepgram', 'sarvam')
        - name: model
          in: query
          required: true
          schema:
            type: string
            description: STT model (e.g., 'nova-2', 'saaras:v3')
            title: Model
          description: STT model (e.g., 'nova-2', 'saaras:v3')
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/LanguageResponse'
                title: Response List Stt Languages Api Audio Stt Languages Get
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    LanguageResponse:
      properties:
        code:
          type: string
          title: Code
        name:
          type: string
          title: Name
      type: object
      required:
        - code
        - name
      title: LanguageResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````